## jxplorer 3.2rc2+dfsg

=== debian/changelog ===
jxplorer (3.2rc2+dfsg-2) unstable; urgency=low

  * Added java-wrappers dependency. (Closes: #565730)

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 18 Jan 2010 18:03:43 +0100

jxplorer (3.2rc2+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #563217)

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 02 Jan 2010 01:18:01 +0100
