=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME := /usr/lib/jvm/default-java
JAVA := $(JAVA_HOME)/bin/java

CLASSPATH := /usr/share/java/jhall.jar:/usr/share/java/junit.jar
CLASSPATH := $(CLASSPATH):./jxplorer.jar
CLASSPATH := $(CLASSPATH):./deploy/jars/jxplorer_help.jar
export CLASSPATH

VERSION := $(shell dpkg-parsechangelog|sed -n '/^Version/{s/Version: \(.*\)-[0-9]*$$/\1/;s/+dfsg//p}')
DESTDIR := debian/jxplorer
TEMPDIR := .tmp-orig-source

%:
	dh --with javahelper $@

override_dh_auto_build:
	# regenerate JH db
	cd deploy/help && jhindexer -db SearchData .
	# recreate JH jar
	cd deploy/help && jar cf ../jars/jxplorer_help.jar *
	# build jxplorer
	jh_build jxplorer.jar src
	# tests
	$(JAVA) com.ca.directory.jxplorer.viewer.tableviewer.TableViewerTestSuite
	$(JAVA) com.ca.commons.naming.NamingTestSuite
	$(JAVA) com.ca.commons.jndi.JndiTestSuite
	$(JAVA) com.ca.jndiproviders.dsml.DsmlTestSuite

override_dh_auto_clean:
	jh_build --clean
	dh_clean
	rm -f deploy/jars/jxplorer_help.jar
	rm -f build-stamp jxplorer.jar
	rm -rf deploy/help/SearchData

override_dh_auto_install:
	dh_install
	install -d -m 755 $(DESTDIR)/usr/share/icons/hicolor/16x16/apps
	convert deploy/images/logo_64.png -scale 16x16 \
		$(DESTDIR)/usr/share/icons/hicolor/16x16/apps/jxplorer.png
	install -d -m 755 $(DESTDIR)/usr/share/icons/hicolor/22x22/apps
	convert deploy/images/logo_64.png -scale 22x22 \
		$(DESTDIR)/usr/share/icons/hicolor/22x22/apps/jxplorer.png
	install -d -m 755 $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
	convert deploy/images/logo_64.png -scale 48x48 \
		$(DESTDIR)/usr/share/icons/hicolor/48x48/apps/jxplorer.png
	install -d -m 755 $(DESTDIR)/usr/share/pixmaps
	convert deploy/images/logo_64.png -scale 32x32 \
		$(DESTDIR)/usr/share/pixmaps/jxplorer.xpm
	install -d -m 755 $(DESTDIR)/usr/share/applications
	install -m 644 debian/jxplorer.desktop \
		$(DESTDIR)/usr/share/applications

get-orig-source:
	# 1 - sources tarball 
	uscan --verbose --download-version $(VERSION) \
		--force-download --repack --no-symlink
	# 2 - resources tarball 
	echo "version=3\nopts=dversionmangle=s/\+dfsg// \\" >tmp-watch
	echo "http://sf.net/jxplorer/JXv(.*)deploy.tar.bz2" >>tmp-watch
	uscan --verbose --download-version $(VERSION) --watchfile tmp-watch \
		--force-download --repack --no-symlink
	# 2a - resources tarball - repack without jars and binaries
	-mkdir -p $(TEMPDIR)/jxplorer/help
	tar -C $(TEMPDIR) -zxf ../JXv$(VERSION)deploy.tar.gz
	cd $(TEMPDIR) && unzip jxplorer/jars/help.jar -d jxplorer/help -x SearchData/*
	cd $(TEMPDIR) && tar --exclude *.jar -zcf ../../JXv$(VERSION)deploy.tar.gz *
	rm -rf $(TEMPDIR)

	mv ../JXv$(VERSION)src.tar.gz     ../jxplorer_$(VERSION)+dfsg.orig.tar.gz
	mv ../JXv$(VERSION)deploy.tar.gz  ../jxplorer_$(VERSION)+dfsg.orig-deploy.tar.gz
	rm -f tmp-watch
