## jxplorer 3.2.1+dfsg

=== debian/changelog ===
jxplorer (3.2.1+dfsg-5) unstable; urgency=low

  * Removed gcj from possible jvms (Closes: #609140).
  * Added package-contains-empty-directory lintian override.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 09 Jan 2011 19:45:25 +0100

jxplorer (3.2.1+dfsg-4) unstable; urgency=low

  * Trusted CAs/servers keystore defaults to /etc/ssl/certs/java/cacerts
    (Closes: 597967).
    + Updated patch 02jkslocation.
    + Removed /usr/share/jxplorer/security.
  * Added patch 05utflang that fixes french translation (Closes: #599557).
  * d/copyright: fixed spacing.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 09 Oct 2010 15:37:05 +0200

jxplorer (3.2.1+dfsg-3) unstable; urgency=low

  * Added empty plugins directory (Closes: #592929).
  * Standards version to 3.9.1.
  * Added patch 04connecthelp to make help window start when pressing
    Help button in connection window.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 14 Aug 2010 14:22:41 +0200

jxplorer (3.2.1+dfsg-2) unstable; urgency=low

  * Added required java-wrappers version (Closes: #590020).
  * Standards version to 3.9.0.
  * Added patch 03defaultdsport to replace default 19389 port with 
    "url.defaultdirectory.port" configuration property (Closes: 589894).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Fri, 23 Jul 2010 21:36:01 +0200

jxplorer (3.2.1+dfsg-1) unstable; urgency=low

   [ Gabriele Giacone ]
   * New upstream release.
   * Added patch 02jkslocation to copy template security directory under
     ~/.jxplorer (Closes: #580846)
   * Merged upstream tarballs into a single one.
   * Removed possible bashism from d/rules. (Closes: #581461)
   * Added extra-license-file lintian override.

   [ Damien Raude-Morvan ]
   * debian/control: Add DMUA flag for Gabriele

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 16 May 2010 11:48:02 +0200

jxplorer (3.2rc2+dfsg-3) unstable; urgency=low

  * Added patch 01paths to fix bookmarks file path and temporary
    directories for media files paths. (Closes: #574181)
  * Removed java-wrappers from build dependencies.
  * Standards-Version to 3.8.4.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 18 Mar 2010 01:17:22 +0100
