=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Priority: optional
 Maintainer: Gabriele Giacone <1o5g4r8o@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: default-jdk, javahelper (>= 0.24), 
- javahelp2, junit, imagemagick, java-wrappers
-Standards-Version: 3.8.3
+Build-Depends-Indep: openjdk-6-jdk | sun-java6-jdk, javahelper (>= 0.24),
+ javahelp2, junit, imagemagick
+Standards-Version: 3.9.1
+DM-Upload-Allowed: yes
 Homepage: http://jxplorer.org/
 
 Package: jxplorer
 Architecture: all
-Depends: ${java:Depends}, ${misc:Depends}, java-wrappers
+Depends: openjdk-6-jre | sun-java6-jre, javahelp2, junit, ${misc:Depends},
+ java-wrappers (>= 0.1.14)
 Description: Java LDAP Browser
  JXplorer is an open source ldap browser originally developed by
  Computer Associates' eTrust Directory development lab. It is a
