=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/java-6-openjdk
JAVA := $(JAVA_HOME)/bin/java

CLASSPATH := /usr/share/java/jhall.jar:/usr/share/java/junit.jar
CLASSPATH := $(CLASSPATH):./jxplorer.jar
CLASSPATH := $(CLASSPATH):./jars/jxplorer_help.jar
export CLASSPATH

VERSION := $(shell dpkg-parsechangelog|sed -n '/^Version/{s/Version: \(.*\)-[0-9]*$$/\1/;s/+dfsg//p}')
DESTDIR := debian/jxplorer
TEMPDIR := .tmp-orig-source

%:
	dh --with javahelper $@

override_dh_auto_build:
	# regenerate JH db
	cd help && jhindexer -db SearchData .
	# recreate JH jar
	-mkdir jars
	cd help && jar cf ../jars/jxplorer_help.jar *
	# build jxplorer
	jh_build jxplorer.jar src
	# tests
	$(JAVA) com.ca.directory.jxplorer.viewer.tableviewer.TableViewerTestSuite
	$(JAVA) com.ca.commons.naming.NamingTestSuite
	$(JAVA) com.ca.commons.jndi.JndiTestSuite
	$(JAVA) com.ca.jndiproviders.dsml.DsmlTestSuite

override_dh_auto_clean:
	jh_build --clean
	dh_clean
	rm -f jars/jxplorer_help.jar
	rm -f build-stamp jxplorer.jar
	rm -rf help/SearchData

override_dh_auto_install:
	dh_install
	install -d -m 755 $(DESTDIR)/usr/share/icons/hicolor/16x16/apps
	convert images/logo_64.png -scale 16x16 \
		$(DESTDIR)/usr/share/icons/hicolor/16x16/apps/jxplorer.png
	install -d -m 755 $(DESTDIR)/usr/share/icons/hicolor/22x22/apps
	convert images/logo_64.png -scale 22x22 \
		$(DESTDIR)/usr/share/icons/hicolor/22x22/apps/jxplorer.png
	install -d -m 755 $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
	convert images/logo_64.png -scale 48x48 \
		$(DESTDIR)/usr/share/icons/hicolor/48x48/apps/jxplorer.png
	install -d -m 755 $(DESTDIR)/usr/share/pixmaps
	convert images/logo_64.png -scale 32x32 \
		$(DESTDIR)/usr/share/pixmaps/jxplorer.xpm
	install -d -m 755 $(DESTDIR)/usr/share/applications
	install -m 644 debian/jxplorer.desktop \
		$(DESTDIR)/usr/share/applications
	install -d -m 755 $(DESTDIR)/usr/share/jxplorer/plugins

get-orig-source:
	# 1 - sources tarball 
	uscan --verbose --download-version $(VERSION) \
		--force-download --repack --no-symlink
	# 2 - resources tarball 
	sed -i 's/src/deploy/' debian/watch
	uscan --verbose --download-version $(VERSION) \
		--force-download --repack --no-symlink
	sed -i 's/deploy/src/' debian/watch
	# 2a - resources tarball - repack without jars and binaries
	-mkdir -p $(TEMPDIR)/jxplorer/help
	tar -C $(TEMPDIR) -zxf ../JXv$(VERSION)src.tar.gz
	tar -C $(TEMPDIR) -zxf ../JXv$(VERSION)deploy.tar.gz
	cd $(TEMPDIR) && unzip jxplorer/jars/help.jar -d jxplorer/help -x SearchData/*
	cd $(TEMPDIR) && tar --exclude *.jar -zcf ../../jxplorer_$(VERSION)+dfsg.orig.tar.gz *
	rm -rf $(TEMPDIR) ../JXv$(VERSION)src.tar.gz ../JXv$(VERSION)deploy.tar.gz
