=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
http://sf.net/jxplorer/JXv(.*)src.tar.bz2
