## jxplorer 3.2.2~rc1+dfsg

=== debian/changelog ===
jxplorer (3.2.2~rc1+dfsg-3) unstable; urgency=low

  [ Miguel Landaeta ]
  * Team upload.
  * Make copyright file DEP-5 compliant and fix some lintian warning about it.

  [ James Page ]
  * Fix FTBFS with OpenJDK 7 (LP: #888957) (Closes: #651535):
    - d/rules: Call jh_build with source/target set to 1.5 to ensure
      backwards compatibility and work around Java 7 encoding errors. 

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 13 Dec 2011 19:07:48 -0430

jxplorer (3.2.2~rc1+dfsg-2) unstable; urgency=low

  * Team upload

  [ Gabriele Giacone ]
  * Capitalize LDAP in long description (Closes: #618591).

  [ Torsten Werner ]
  * Switch to default-jdk. (Closes: #640571)

 -- Torsten Werner <twerner@debian.org>  Tue, 06 Sep 2011 21:16:24 +0200

jxplorer (3.2.2~rc1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Switch to "public" package.
  * Bump Standards-Version to 3.9.2 (no changes).
  * Replace 05utflang patch with one from upstream.
  * Add RELEASE.TXT as upstream changelog.
  * Add codeless-jar lintian tag override.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 13 Aug 2011 04:39:00 +0200
