=== debian/control ===
Source: jxplorer
Section: admin
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Gabriele Giacone <1o5g4r8o@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: default-jdk, javahelper (>= 0.24), javahelp2, junit,
 imagemagick
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=pkg-java/jxplorer.git
Vcs-Git: git://git.debian.org/pkg-java/jxplorer.git
Homepage: http://jxplorer.org/

Package: jxplorer
Architecture: all
Depends: openjdk-6-jre | sun-java6-jre, javahelp2, junit, ${misc:Depends},
 java-wrappers (>= 0.1.14)
Description: Java LDAP Browser
 JXplorer is an open source LDAP browser originally developed by
 Computer Associates' eTrust Directory development lab. It is a
 standards compliant general purpose LDAP browser that can be used
 to read and search any LDAP directory, or any X500 directory with
 an LDAP interface. 
 JXplorer is a fully functional piece of software with advanced
 security integration and support for the more difficult and
 obscure parts of the LDAP protocol. It should run on any java
 supporting operating system.
 Main features are:
 .
  * Standard LDAP operations: add/delete/copy/modify
  * Complex operations: tree copy and tree delete
  * Optional GUI based search filter construction
  * SSL and SASL authentication
  * pluggable editors/viewers
  * pluggable security providers
  * HTML templates/forms for data display
  * Full i18n support
  * LDIF file format support
  * highly user configurable
  * drag-n-drop browsing operation
  * DSML Support
  * handles complex LDAP cases:
    o multi valued rdns
    o binary attributes
    o Certificates and Passwords
    o Unicode characters
    o Special characters / UTF8 in distinguished names. 
  * Extensible architecture with object class based Java plugins
