=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,10 @@
 #!/usr/bin/make -f
 
-export JAVA_HOME=/usr/lib/jvm/java-6-openjdk
+export JAVA_HOME=/usr/lib/jvm/default-java
 JAVA := $(JAVA_HOME)/bin/java
 
 CLASSPATH := /usr/share/java/jhall.jar:/usr/share/java/junit.jar
-CLASSPATH := $(CLASSPATH):./jxplorer.jar
-CLASSPATH := $(CLASSPATH):./jars/jxplorer_help.jar
+CLASSPATH := $(CLASSPATH):./jxplorer.jar:./jxplorer_help.jar
 export CLASSPATH
 
 VERSION := $(shell dpkg-parsechangelog|sed -n '/^Version/{s/Version: \(.*\)-[0-9]*$$/\1/;s/+dfsg//p}')
@@ -22,7 +21,7 @@
 	-mkdir jars
 	cd help && jar cf ../jars/jxplorer_help.jar *
 	# build jxplorer
-	jh_build jxplorer.jar src
+	jh_build --javacopts="-source 1.5 -target 1.5" --javadoc-opts="-source 1.5" jxplorer.jar src
 	# tests
 	$(JAVA) com.ca.directory.jxplorer.viewer.tableviewer.TableViewerTestSuite
 	$(JAVA) com.ca.commons.naming.NamingTestSuite
@@ -54,20 +53,19 @@
 	install -m 644 debian/jxplorer.desktop \
 		$(DESTDIR)/usr/share/applications
 	install -d -m 755 $(DESTDIR)/usr/share/jxplorer/plugins
+	dh_installchangelogs RELEASE.TXT
 
 get-orig-source:
 	# 1 - sources tarball 
-	uscan --verbose --download-version $(VERSION) \
-		--force-download --repack --no-symlink
+	uscan --verbose --force-download --repack --no-symlink
 	# 2 - resources tarball 
 	sed -i 's/src/deploy/' debian/watch
-	uscan --verbose --download-version $(VERSION) \
-		--force-download --repack --no-symlink
+	uscan --verbose --force-download --repack --no-symlink
 	sed -i 's/deploy/src/' debian/watch
 	# 2a - resources tarball - repack without jars and binaries
 	-mkdir -p $(TEMPDIR)/jxplorer/help
 	tar -C $(TEMPDIR) -zxf ../JXv$(VERSION)src.tar.gz
 	tar -C $(TEMPDIR) -zxf ../JXv$(VERSION)deploy.tar.gz
 	cd $(TEMPDIR) && unzip jxplorer/jars/help.jar -d jxplorer/help -x SearchData/*
-	cd $(TEMPDIR) && tar --exclude *.jar -zcf ../../jxplorer_$(VERSION)+dfsg.orig.tar.gz *
+	cd $(TEMPDIR) && GZIP="-9" tar --exclude *.jar -zcf ../../jxplorer_$(VERSION)+dfsg.orig.tar.gz *
 	rm -rf $(TEMPDIR) ../JXv$(VERSION)src.tar.gz ../JXv$(VERSION)deploy.tar.gz
