## jxplorer 3.3.1+dfsg

=== debian/changelog ===
jxplorer (3.3.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Switch source and binary to xz compression.
  * Capitalize Java in extended description (Closes: #640868).
  * Add ca-certificates-java as runtime dependency (Closes: #611721).
  * Depend on default-jre | java6-runtime.
  * Bump Standards-Version to 3.9.3 (no changes).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Wed, 08 Aug 2012 01:00:07 +0200
