=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
JAVA := $(JAVA_HOME)/bin/java

CLASSPATH := /usr/share/java/jhall.jar:/usr/share/java/junit.jar
CLASSPATH := $(CLASSPATH):./jxplorer.jar:./jxplorer_help.jar
export CLASSPATH

VERSION := $(shell dpkg-parsechangelog|sed -n '/^Version/{s/Version: \(.*\)-[0-9]*$$/\1/;s/+dfsg//p}')
USRSHARE:= debian/jxplorer/usr/share
TEMPDIR := .tmp-orig-source

%:
	dh --with javahelper $@

override_dh_auto_build:
	# regenerate JH db
	cd help && jhindexer -db SearchData .
	# recreate JH jar
	-mkdir jars
	cd help && jar cf ../jars/jxplorer_help.jar *
	# build jxplorer
	jh_build --javacopts="-source 1.5 -target 1.5" --javadoc-opts="-source 1.5" jxplorer.jar src
	# tests
	$(JAVA) com.ca.directory.jxplorer.viewer.tableviewer.TableViewerTestSuite
	$(JAVA) com.ca.commons.naming.NamingTestSuite
	$(JAVA) com.ca.commons.jndi.JndiTestSuite
	$(JAVA) com.ca.jndiproviders.dsml.DsmlTestSuite

override_dh_auto_clean:
	jh_build --clean
	dh_clean
	rm -f jars/jxplorer_help.jar
	rm -f build-stamp jxplorer.jar
	rm -rf help/SearchData

override_dh_install:
	dh_install
	install -d -m 755 $(USRSHARE)/icons/hicolor/16x16/apps
	convert images/logo_64.png -scale 16x16 \
		$(USRSHARE)/icons/hicolor/16x16/apps/jxplorer.png
	install -d -m 755 $(USRSHARE)/icons/hicolor/22x22/apps
	convert images/logo_64.png -scale 22x22 \
		$(USRSHARE)/icons/hicolor/22x22/apps/jxplorer.png
	install -d -m 755 $(USRSHARE)/icons/hicolor/48x48/apps
	convert images/logo_64.png -scale 48x48 \
		$(USRSHARE)/icons/hicolor/48x48/apps/jxplorer.png
	install -d -m 755 $(USRSHARE)/pixmaps
	convert images/logo_64.png -scale 32x32 \
		$(USRSHARE)/pixmaps/jxplorer.xpm
	install -d -m 755 $(USRSHARE)/applications
	install -m 644 debian/jxplorer.desktop \
		$(USRSHARE)/applications
	install -d -m 755 $(USRSHARE)/jxplorer/plugins
	dh_installchangelogs README.*.TXT
	# fix perl path in scripts for translation
	sed -i '1s/local\///' $(USRSHARE)/jxplorer/language/*pl

NAME=jxplorer
SRCTGZ=../$(NAME)-$(VERSION)-src.tar.gz
RESTGZ=../$(NAME)-$(VERSION)-project\ .tar.gz
ORGXZ=../../$(NAME)_$(VERSION)+dfsg.orig.tar.xz
get-orig-source:
	# 1 - sources tarball 
	uscan --verbose --force-download --repack --no-symlink --download-version $(VERSION)
	# 2 - resources tarball 
	sed -i 's/src/project/' debian/watch
	uscan --verbose --force-download --repack --no-symlink --download-version $(VERSION)
	sed -i 's/project/src/' debian/watch
	# 2a - resources tarball - repack without jars and binaries
	-mkdir -p $(TEMPDIR)/$(NAME)/help
	tar -C $(TEMPDIR) -zxf $(SRCTGZ)
	tar -C $(TEMPDIR) -zxf $(RESTGZ)
	cd $(TEMPDIR) && unzip $(NAME)/jars/help.jar -d $(NAME)/help
	cd $(TEMPDIR) && tar --exclude *.jar -Jcf $(ORGXZ) *
	rm -rf $(TEMPDIR) $(SRCTGZ) $(RESTGZ)
