## jxplorer 3.3.2+dfsg

=== debian/changelog ===
jxplorer (3.3.2+dfsg-6) unstable; urgency=medium

  * Update Vcs fields for migration from Alioth -> Salsa
  * Bump Standards-Version to 4.3.0
  * Drop needless runtime dependency upon junit

 -- tony mancill <tmancill@debian.org>  Sun, 13 Jan 2019 17:43:07 -0800

jxplorer (3.3.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #875591)
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 08 Mar 2018 00:36:27 +0100

jxplorer (3.3.2+dfsg-4) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.0.0

 -- tony mancill <tmancill@debian.org>  Sat, 24 Jun 2017 16:41:36 -0700

jxplorer (3.3.2+dfsg-3) experimental; urgency=medium

  [ Emmanuel Bourg ]
  * debian/copyright: Fixed the short name of the Apache-1.1 license

  [ tony mancill ]
  * Prevent embedding of timestamps in icons to make the build
    reproducible. (Closes: #776758)
    - Thank you to Reiner Herrmann for the bug report and patch.
  * Remove Gabriele Giacone from Uploaders (Closes: #856763)
  * Bump Standards-Version to 3.9.8.
  * Use debhelper 10.
  * Freshen debian/copyright.
  * Remove menu file (see #741573).

 -- tony mancill <tmancill@debian.org>  Mon, 20 Mar 2017 21:22:45 -0700

jxplorer (3.3.2+dfsg-2) unstable; urgency=low

  * Team upload.
  * correct LdifExport capitalization of "dn:" (Closes: #721820)
    - Thank you to Maksim Kuleshov for the patch.
  * Bump Standards Version to 3.9.4.
  * Remove deprecated DMUA field.
  * Upload Vcs fields to use canonical URLs.

 -- tony mancill <tmancill@debian.org>  Sun, 08 Sep 2013 09:13:00 -0700

jxplorer (3.3.2+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Fix icons gamma correction (Closes: #705997).
  * Switch to -project upstream zipfile.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 04 Apr 2013 01:34:46 +0200
