=== debian/control ===
--- 
+++ 
@@ -2,20 +2,19 @@
 Section: admin
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Gabriele Giacone <1o5g4r8o@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~)
+Uploaders: tony mancill <tmancill@debian.org>
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: default-jdk, javahelper (>= 0.24), javahelp2, junit,
  imagemagick
-Standards-Version: 3.9.2
-Vcs-Browser: http://git.debian.org/?p=pkg-java/jxplorer.git
-Vcs-Git: git://git.debian.org/pkg-java/jxplorer.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/java-team/jxplorer
+Vcs-Git: https://salsa.debian.org/java-team/jxplorer.git
 Homepage: http://jxplorer.org/
 
 Package: jxplorer
 Architecture: all
-Depends: openjdk-6-jre | sun-java6-jre, javahelp2, junit, ${misc:Depends},
- java-wrappers (>= 0.1.14)
+Depends: default-jre | java6-runtime, javahelp2, ${misc:Depends},
+ java-wrappers (>= 0.1.14), ca-certificates-java
 Description: Java LDAP Browser
  JXplorer is an open source LDAP browser originally developed by
  Computer Associates' eTrust Directory development lab. It is a
@@ -24,7 +23,7 @@
  an LDAP interface. 
  JXplorer is a fully functional piece of software with advanced
  security integration and support for the more difficult and
- obscure parts of the LDAP protocol. It should run on any java
+ obscure parts of the LDAP protocol. It should run on any Java
  supporting operating system.
  Main features are:
  .
