=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//,\
uversionmangle=s/rc/\~rc/;s/b/\~b/;s/\.0/\./,\
filenamemangle=s/(rc\d)/\~$1/;s/(b\d)/\~$1/;s/\.0/\./" \
http://sf.net/jxplorer/jxplorer-([\d\.]+[rc\d]*[b\d]*)-project.zip
